$(function () {
    //加载弹出层
    layui.use(['form', 'element'],
        function () {
            layer = layui.layer;
            element = layui.element;
        });

    //触发事件
    var tab = {
        tabAdd: function (title, url, id) {
            //新增一个Tab项
            element.tabAdd('xbs_tab', {
                title: title
                ,
                content: '<iframe tab-id="' + id + '" frameborder="0" src="' + url + '" scrolling="yes" class="x-iframe"></iframe>'
                ,
                id: id
            })
        }
        , tabDelete: function (othis) {
            //删除指定Tab项
            element.tabDelete('xbs_tab', '44'); //删除：“商品管理”


            othis.addClass('layui-btn-disabled');
        }
        , tabChange: function (id) {
            //切换到指定Tab项
            element.tabChange('xbs_tab', id); //切换到：用户管理
        }
    };
    tab.tabAdd("商户库存", '/business/businessStock', 111);

    tableCheck = {
        init: function () {
            $('.layui-table').delegate('.layui-form-checkbox', 'click', function () {
                //$(".layui-form-checkbox").click(function(event) {
                if ($(this).hasClass('layui-form-checked')) {
                    $(this).removeClass('layui-form-checked');
                    if ($(this).hasClass('header')) {
                        $(".layui-form-checkbox").removeClass('layui-form-checked');
                    }
                } else {
                    $(this).addClass('layui-form-checked');
                    if ($(this).hasClass('header')) {
                        $(".layui-form-checkbox").addClass('layui-form-checked');
                    }
                }
                var flag = $("#tbodyId .layui-form-checkbox").length == $("#tbodyId .layui-form-checked").not('.header').length;
                if (flag) {
                    $(".layui-table .header").addClass('layui-form-checked');
                } else {
                    $(".layui-table .header").removeClass('layui-form-checked');
                }

            });
        },
        getData: function () {
            /*var obj = $(".layui-form-checked").not('.header');
            var arr=[];
            obj.each(function(index, el) {
                arr.push(obj.eq(index).attr('data-id'));
            });
            return arr;*/
            var obj = $(".layui-form-checked").not('.header');
            var ids = '';
            obj.each(function (index, el) {
                if (ids == '') {
                    ids = obj.eq(index).attr('data-id');
                } else {
                    ids += ',' + obj.eq(index).attr('data-id');
                }
            });
            return ids;
        }
    }

})


